# $Revision: 1.2 $, $Date: 2002/08/15 21:59:26 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	TableExtract
Summary:	HTML::TableExtract - extracting the text contained in HTML tables
Summary(pl):	HTML::TableExtract - wyciganie tekstu zawartego w tabelach HTML
Name:		perl-HTML-TableExtract
Version:	1.08
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-HTML-Parser
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::TableExtract is a subclass of HTML::Parser that serves to
extract the textual information from tables of interest contained
within an HTML document. The text from each extracted table is stored
in tabe state objects which hold the information as an array of arrays
that represent the rows and cells of that table.

%description -l pl
HTML::TableExtract to podklasa HTML::Parser, ktra suy do wycigania
informacji tekstowych z tabel w dokumencie HTML. Tekst z kadej tabeli
jest zapisywany w obiektach, ktre przechowuj informacje jako tablic
tablic, reprezentujc wiersze i komrki tabeli.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTML-TableExtract.spec,v $
Revision 1.2  2002/08/15 21:59:26  qboosh
- pl description, release++

Revision 1.1  2002/08/09 10:00:07  radek
- new, STBR
